#!/usr/bin/make -f

#export DH_VERBOSE=1

bridgeCstrDir:=sat/bridge/bridge_constructor
export PYTHONPATH=$(CURDIR)/sat_tmp:$(CURDIR)
export XDG_DATA_HOME=$(CURDIR)/.local/share

# Install scripts in different directory than libs because entrypoint
# sat collides with directory sat.
PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/libervia/ --install-scripts=/launchers/
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
  PYBUILD_INSTALL_ARGS+=--verbose
endif
export PYBUILD_INSTALL_ARGS

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_auto_build:
	cd $(bridgeCstrDir) && \
		ln -s ../../../sat . && \
		./bridge_constructor.py --force && \
		cp generated/dbus_bridge.py .. && \
		./bridge_constructor.py -s frontend --force && \
		cp generated/dbus_bridge.py ../../../sat_frontends/bridge/
	rm -f $(bridgeCstrDir)/sat

execute_after_dh_auto_install:
	find sat_tmp \( -name LICENSE -o -name README \) -delete
	cp -rap sat_tmp/sat_tmp/ $(CURDIR)/debian/tmp/usr/share/libervia/
	mv $(CURDIR)/debian/tmp/usr/share/libervia/sat/core/launcher.py \
		$(CURDIR)/debian/tmp/usr/share/libervia
	find debian -name __pycache__ -type d | xargs rm -rf
	rm -rf $(CURDIR)/debian/tmp/usr/share/libervia/sat/test/
	rm -rf $(CURDIR)/debian/tmp/usr/share/libervia/sat_tmp/wokkel/test/

execute_after_dh_fixperms:
	chmod +x $(CURDIR)/debian/libervia-backend/usr/share/libervia/launcher.py

# temporarily ignore tests (completely broken according to upstream)
override_dh_auto_test:
	dh_auto_test || true
